> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetIncomeAttributes

> This endpoint will provide you with all Income use-case Attributes.

This endpoint will provide you with all Income use-case Attributes. Please refer to our Quickstart guide for further information on the use-cases / when to use this specific endpoint.

## Request Parameters

| **NAME**                   | **TYPE** | **DESCRIPTION**                                                                                                     |
| :------------------------- | :------- | :------------------------------------------------------------------------------------------------------------------ |
| customerId (**mandatory**) | string   | GUID representing your customer ID (provided by Flinks).                                                            |
| loginId (**mandatory**)    | string   | GUID representing the end user's login ID. You get this value after a successful **Authorize** request.             |
| requestId (**mandatory**)  | string   | GUID representing an authorized request to the API. You get this endpoint after a successful **Authorize** request. |

## Response Fields

| **NAME**         | **TYPE** | **DESCRIPTION**                                                                                                                                  |
| :--------------- | :------- | :----------------------------------------------------------------------------------------------------------------------------------------------- |
| Card             | object   | Object containing an id field (end user's LoginId) and all the requested attributes (name: value).                                               |
| Login            | object   | Object representing some end user's technical information such as the LoginId. See **Authorize** endpoint documentation for this object details. |
| RequestId        | string   | GUID representing an authorized request to the API. You get this value after a successful **Authorize** request.                                 |
| AttributeDetails | object   | Object containing the fields **TransactionId**, **AccountId**, **Date**, **Description**, **Debit**, and **Credit per Attribute**.               |


## OpenAPI

````yaml GET /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetIncomeAttributes
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetIncomeAttributes:
    get:
      tags:
        - Enrich
      summary: Get Income Attributes
      description: This endpoint will provide you with all Income use-case Attributes.
      operationId: getIncomeAttributes
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment.
        - name: loginId
          in: path
          required: true
          description: GUID representing end user's login ID.
          schema:
            type: string
        - name: requestId
          in: path
          required: true
          description: GUID representing an authorized request to the API.
          schema:
            type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code of the response.
                  Card:
                    type: object
                    description: >-
                      Object containing an Id field, all requested income
                      attributes, and an AttributesDetail array with supporting
                      transactions.
                    properties:
                      Id:
                        type: string
                        description: Unique identifier for the card.
                      AttributesDetail:
                        type: array
                        description: >-
                          Array of detailed attribute information including
                          supporting transactions for each attribute.
                        items:
                          type: object
                  Login:
                    type: object
                    description: Object representing end user's technical information.
                  RequestId:
                    type: string
                    description: GUID representing an authorized request to the API.
              example:
                HttpStatusCode: 200
                Card:
                  Id: 367046b0-7699-483d-94c2-08d9a3d5c70f
                  average_monthly_free_cash_flow: 334.96
                  account_age_days: 346
                  employer_name: Unknown
                  average_monthly_employer_income_complex: 4665.78
                  average_monthly_non_employer_income_complex: 2998.26
                  average_monthly_government_income_complex: 3902.59
                  employer_income_trend_simple: NONE_DETECTED
                  total_deposits_trend_simple: DECREASING
                  sum_employer_income_current_month: 0
                  sum_employer_income_previous_month: 4276
                  sum_employer_income_2_months_ago: 4197.6
                  sum_employer_income_3_months_ago: 4517.42
                  sum_employer_income_4_months_ago: 7096.69
                  sum_employer_income_5_months_ago: 4227.87
                  sum_employer_income_6_months_ago: 4475.84
                  sum_employer_income_7_months_ago: 4434.58
                  sum_employer_income_8_months_ago: 3700.8
                  sum_employer_income_9_months_ago: 5954.9
                  sum_employer_income_10_months_ago: 3776.11
                  sum_employer_income_11_months_ago: 3950.19
                  sum_employer_income_12_months_ago: 0
                  count_employer_income_current_month: 0
                  count_employer_income_previous_month: 2
                  count_employer_income_2_months_ago: 2
                  count_employer_income_3_months_ago: 2
                  count_employer_income_4_months_ago: 3
                  count_employer_income_5_months_ago: 2
                  count_employer_income_6_months_ago: 2
                  count_employer_income_7_months_ago: 2
                  count_employer_income_8_months_ago: 2
                  count_employer_income_9_months_ago: 3
                  count_employer_income_10_months_ago: 2
                  count_employer_income_11_months_ago: 2
                  count_employer_income_12_months_ago: 0
                  sum_employer_income: 50608
                  sum_government_income_90_days: 3902.59
                  sum_government_income_current_month: 2200.48
                  sum_government_income_previous_month: 1702.11
                  sum_government_income_2_months_ago: 0
                  sum_government_income_3_months_ago: 0
                  sum_government_income_4_months_ago: 0
                  sum_government_income_5_months_ago: 0
                  sum_government_income_6_months_ago: 0
                  sum_government_income_7_months_ago: 0
                  sum_government_income_8_months_ago: 0
                  sum_government_income_9_months_ago: 0
                  sum_government_income_10_months_ago: 0
                  sum_government_income_11_months_ago: 0
                  sum_government_income_12_months_ago: 0
                  count_government_income_current_month: 1
                  count_government_income_previous_month: 1
                  count_government_income_2_months_ago: 0
                  count_government_income_3_months_ago: 0
                  count_government_income_4_months_ago: 0
                  count_government_income_5_months_ago: 0
                  count_government_income_6_months_ago: 0
                  count_government_income_7_months_ago: 0
                  count_government_income_8_months_ago: 0
                  count_government_income_9_months_ago: 0
                  count_government_income_10_months_ago: 0
                  count_government_income_11_months_ago: 0
                  count_government_income_12_months_ago: 0
                  sum_employment_insurance_income_90_days: 0
                  sum_social_assistance_income_90_days: 0
                  sum_wsib_income_90_days: 0
                  sum_pension_income_90_days: 0
                  sum_child_support_income_government_90_days: 3902.59
                  sum_other_income_90_days: 0
                  sum_total_credits_current_month: 4525.47
                  sum_total_credits_previous_month: 16388.11
                  sum_total_credits_2_months_ago: 41461.75
                  sum_total_credits_3_months_ago: 4517.42
                  sum_total_credits_4_months_ago: 7256.69
                  sum_total_credits_5_months_ago: 4227.87
                  sum_total_credits_6_months_ago: 4475.84
                  sum_total_credits_7_months_ago: 4447.21
                  sum_total_credits_8_months_ago: 3700.8
                  sum_total_credits_9_months_ago: 6222.78
                  sum_total_credits_10_months_ago: 3776.11
                  sum_total_credits_11_months_ago: 3950.19
                  sum_total_credits_12_months_ago: 0
                  AttributesDetail:
                    - Attribute: sum_employer_income
                      Transactions:
                        - TransactionId: bbab0598-5bbe-4603-8cae-942a2095a0b8
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-12'
                          Description: Paie/Payroll
                          Credit: 2192.54
                          Balance: 7493.61
                        - TransactionId: 2fff2d1a-0845-405e-a619-12794c78ad27
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-12'
                          Description: Paie/Payroll
                          Credit: 2083.46
                          Balance: 5301.07
                        - TransactionId: 013a8ce8-9645-4278-bd65-32c72471b16b
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-26'
                          Description: Paie/Payroll
                          Credit: 1920.99
                          Balance: 11908.26
                Login:
                  Username: multiple_employers
                  IsScheduledRefresh: false
                  LastRefresh: '2026-04-16T09:23:14.5821093'
                  Type: Personal
                  Id: 367046b0-7699-483d-94c2-08d9a3d5c70f
                RequestId: b0ad6069-b40c-4c7e-aead-91c849d0b9f1
        '202':
          description: Operation Pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  FlinksCode:
                    type: string
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  RequestId:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  Message:
                    type: string

````